### Method

# Ide DeviceManager deploy_async

#### Declaration

    void
    ide_device_manager_deploy_async (
      IdeDeviceManager* self,
      IdePipeline* pipeline,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests that the application be deployed to the device. This may need to be done before running the application so that the device has the most up to date build.

Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.